## NAME

r.los - Line-of-sight raster analysis program.

## KEYWORDS

raster

## SYNOPSIS

r.los
r.los help
r.los input=string output=string coordinate=x,y [patt_map=string] [obs_elev=float] [max_dist=float] [--overwrite]

### Flags:

--overwrite
  Force overwrite of output files

### Parameters:

input=string
  Raster map containing elevation data
output=string
  Raster map name for storing results
coordinate=x,y
  Coordinate identifying the viewing location
patt_map=string
  Binary (1/0) raster map
obs_elev=float
  Height of the viewing location
  Default: 1.75
max_dist=float
  Max distance from the viewing point (meters)
  Options: 0-99999
  Default: 1000

## DESCRIPTION

r.los generates a raster map output in which the cells that are visible from a user-specified observer location are marked with integer values that represent the vertical angle (in degrees) required to see those cells (viewshed).

The program can be run either non-interactively or interactively. To run r.los non-interactively, the user must specify at least an input file name, output file name, and the geographic coordinates of the user's viewing location on the command line; any remaining parameters whose values are unspecified on the command line will be set to their default values (see below).

The patt_map is the name of a binary (1/0) raster map layer in which cells within the areas of interest are assigned the category value '1', and all other cells are assigned the category value '0'. If this parameter is omitted, the analysis will be performed for the whole area within a certain distance of the viewing point inside the geographic region boundaries.
Default: assign all cells that are within the max_dist and within the user's current geographic region boundaries a value of 1.

The obs_elev= parameter defines the height of the observer (in meters) above the viewing point's elevation.
Default: 1.75 (meters)

The max_dist= parameter is the maximum distance (in meters) from the viewing point inside of which the line of sight analysis will be performed. The cells outside this distance range are assigned the category value '0'.
Options: 0-99999 (stated in map units)
Default: 1000

## NOTES

For accurate results, the program must be run with the resolution of the geographic region set equal to the resolution of the data (see g.region).

It is advisable to use a 'pattern layer' which identifies the areas of interest in which the line of sight analysis is required. Such a measure will reduce the time taken by the program to run.

## SEE ALSO

g.region

## AUTHOR

Kewan Q. Khawaja, Intelligent Engineering Systems Laboratory, M.I.T.

Last changed: $Date: 2003/05/06 13:58:46 $

Main index - raster index - Full index